Redmine - Defect #32172

Warning "constant Loofah::HTML5::WhiteL.ist is deprecated"
2019-09-30 01:38 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

$ ruby test/functional/wiki_controller_test.rb
Run options: —--seed 34826

# Running:

................................. /Users/maeda/redmines/gems/ruby/2.6.0/gems/rails—html-sanitizer-1
.2.0/1ib/rails/html/scrubbers.rb:141: warning: constant Loofah::HTML5::WhiteList is deprecated
/Users/maeda/redmines/gems/ruby/2.6.0/gems/rails-html-sanitizer-1.2.0/1ib/rails/html/scrubbers.rb:
148: warning: constant Loofah::HTML5::WhiteList is deprecated
/Users/maeda/redmines/gems/ruby/2.6.0/gems/rails-html-sanitizer-1.2.0/1lib/rails/html/scrubbers.rb:
151: warning: constant Loofah::HTML5::WhitelList is deprecated
/Users/maeda/redmines/gems/ruby/2.6.0/gems/rails-html-sanitizer-1.2.0/1lib/rails/html/scrubbers.rb:
144: warning: constant Loofah::HTML5::WhiteList is deprecated
/Users/maeda/redmines/gems/ruby/2.6.0/gems/rails-html-sanitizer-1.2.0/1ib/rails/html/scrubbers.rb:
144: warning: constant Loofah::HTML5::WhitelList is deprecated

......................... /Users/maeda/redmines/gems/ruby/2.6.0/gems/rails—html-sanitizer-1.2.0/11ib
/rails/html/scrubbers.rb:141: warning: constant Loofah::HTML5::WhiteList is deprecated
/Users/maeda/redmines/gems/ruby/2.6.0/gems/rails-html-sanitizer-1.2.0/1lib/rails/html/scrubbers.rb:
148: warning: constant Loofah::HTML5::WhitelList is deprecated
/Users/maeda/redmines/gems/ruby/2.6.0/gems/rails-html-sanitizer-1.2.0/1lib/rails/html/scrubbers.rb:
151: warning: constant Loofah::HTML5::WhiteList is deprecated
/Users/maeda/redmines/gems/ruby/2.6.0/gems/rails-html-sanitizer-1.2.0/1ib/rails/html/scrubbers.rb:
144: warning: constant Loofah::HTML5::WhitelList is deprecated
/Users/maeda/redmines/gems/ruby/2.6.0/gems/rails-html-sanitizer-1.2.0/1ib/rails/html/scrubbers.rb:
144: warning: constant Loofah::HTML5::WhiteList is deprecated

Finished in 9.532832s, 9.7558 runs/s, 34.5123 assertions/s.
93 runs, 329 assertions, 0 failures, 0 errors, 0 skips

History

#1 - 2019-09-30 01:45 - Go MAEDA

| observed this after loofah was updated from 2.2.3 to 2.3.0.

#2 - 2019-09-30 05:18 - Go MAEDA

- Category changed from Code cleanup/refactoring to Gems support

Reported the issue to the rails-html-sanitizer team.
https://qgithub.com/rails/rails-html-sanitizer/issues/101

#3 - 2019-09-30 09:42 - Go MAEDA

The fix has already merged to master before | filed an issue.
https://github.com/rails/rails-html-sanitizer/pull/100

#4 - 2019-10-22 15:50 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed
https://github.com/rails/rails-html-sanitizer/issues/101
https://github.com/rails/rails-html-sanitizer/pull/100

rails-html-sanitizer 1.3.0 has been released on October 6th and this issue was fixed.
